## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──insertbin

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Olivier Crete

Classification: – `Generic/Bin/Filter`

Rank – none

Plugin – insertbin

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Action Signals

### append

    g_signal_emit_by_name (element, "append", callback, user_data, user_data2);

    ret = element.emit ("append", callback, user_data, user_data2)

    let ret = element.emit ("append", callback, user_data, user_data2);

This action signal adds the filter like element after any other element in the bin.

Same as gst_insert_bin_append

Parameters:

`element` (GstElement *) –

the GstElement to add

`callback` (GstElement *) –

the callback to call when the element has been added or not, or NULL

`user_data` (gpointer) –

The data to pass to the callback

`user_data2` (gpointer) –

The user data of the signal (ignored)

Flags: Run Last / Action

Since : 1.2

### insert-after

    g_signal_emit_by_name (element, "insert-after", sibling, callback, user_data, user_data2);

    ret = element.emit ("insert-after", sibling, callback, user_data, user_data2)

    let ret = element.emit ("insert-after", sibling, callback, user_data, user_data2);

This action signal adds the filter like element after the sibling element in the bin. element in the bin.

Same as gst_insert_bin_insert_after

Parameters:

`element` (GstElement *) –

the GstElement to add

`sibling` (GstElement *) –

the GstElement to add element after

`callback` (GstElement *) –

the callback to call when the element has been added or not, or NULL

`user_data` (gpointer) –

The data to pass to the callback

`user_data2` (gpointer) –

The user data of the signal (ignored)

Flags: Run Last / Action

Since : 1.2

### insert-before

    g_signal_emit_by_name (element, "insert-before", sibling, callback, user_data, user_data2);

    ret = element.emit ("insert-before", sibling, callback, user_data, user_data2)

    let ret = element.emit ("insert-before", sibling, callback, user_data, user_data2);

This action signal adds the filter like element before the sibling element in the bin.

Same as gst_insert_bin_insert_before

Parameters:

`element` (GstElement *) –

the GstElement to add

`sibling` (GstElement *) –

the GstElement to add element before

`callback` (GstElement *) –

the callback to call when the element has been added or not, or NULL

`user_data` (gpointer) –

The data to pass to the callback

`user_data2` (gpointer) –

The user data of the signal (ignored)

Flags: Run Last / Action

Since : 1.2

### prepend

    g_signal_emit_by_name (element, "prepend", callback, user_data, user_data2);

    ret = element.emit ("prepend", callback, user_data, user_data2)

    let ret = element.emit ("prepend", callback, user_data, user_data2);

This action signal adds the filter like element before any other element in the bin.

Same as gst_insert_bin_prepend

Parameters:

`element` (GstElement *) –

the GstElement to add

`callback` (GstElement *) –

the callback to call when the element has been added or not, or NULL

`user_data` (gpointer) –

The data to pass to the callback

`user_data2` (gpointer) –

The user data of the signal (ignored)

Flags: Run Last / Action

Since : 1.2

### remove

    g_signal_emit_by_name (element, "remove", callback, user_data, user_data2);

    ret = element.emit ("remove", callback, user_data, user_data2)

    let ret = element.emit ("remove", callback, user_data, user_data2);

This action signal removed the filter like element from the bin.

Same as gst_insert_bin_remove

Parameters:

`element` (GstElement *) –

the GstElement to remove

`callback` (GstElement *) –

the callback to call when the element has been removed or not, or NULL

`user_data` (gpointer) –

The data to pass to the callback

`user_data2` (gpointer) –

The user data of the signal (ignored)

Flags: Run Last / Action

Since : 1.2

The results of the search are